[blfs-book] [BLFS Trac] #4916: Qt4 and Qt5 can't both be installed in /usr

BLFS Trac trac at linuxfromscratch.org
Sun Apr 6 14:39:07 PDT 2014


#4916: Qt4 and Qt5 can't both be installed in /usr
--------------------+--------------------------
 Reporter:  Krejzi  |       Owner:  blfs-book@…
     Type:  defect  |      Status:  closed
 Priority:  normal  |   Milestone:  7.6
Component:  BOOK    |     Version:  SVN
 Severity:  normal  |  Resolution:  wontfix
 Keywords:          |
--------------------+--------------------------
Changes (by bdubbs@…):

 * status:  new => closed
 * resolution:   => wontfix


Comment:

 Yes, it is documented.

 "The installation of Qt presents several challenges and choices.
 Complicating the Qt installation is the fact that there are two versions,
 Qt4 and Qt5, that have executable programs with identical names. If both
 packages are installed on one system, the only methods to manage which set
 of programs is used is to either control the users' PATH or to rename
 files either directly or via symbolic links. Both packages cannot be
 installed in the same directory."

 You can always use method 2 to install in /usr/something/qt4 if you want
 it in /usr.

-- 
Ticket URL: <http://wiki.linuxfromscratch.org/blfs/ticket/4916#comment:1>
BLFS Trac <http://wiki.linuxfromscratch.org/blfs>
Beyond Linux From Scratch



More information about the blfs-book mailing list